<html>
<head>
<title>OGRE: Ogre::NearestResampler&lt; elemsize &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1NearestResampler.html">NearestResampler</a></div>
<h1>Ogre::NearestResampler&lt; elemsize &gt; Struct Template Reference</h1><!-- doxytag: class="Ogre::NearestResampler" --><code>#include &lt;<a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1NearestResampler-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1NearestResampler.html#13aed755b21d090e3896bba5e60630d0">scale</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;unsigned int elemsize&gt;<br>
 struct Ogre::NearestResampler&lt; elemsize &gt;</h3>


<p>Definition at line <a class="el" href="OgreImageResampler_8h-source.html#l00056">56</a> of file <a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="13aed755b21d090e3896bba5e60630d0"></a><!-- doxytag: member="Ogre::NearestResampler::scale" ref="13aed755b21d090e3896bba5e60630d0" args="(const PixelBox &amp;src, const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;unsigned int elemsize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="structOgre_1_1NearestResampler.html">Ogre::NearestResampler</a>&lt; elemsize &gt;::scale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dst</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageResampler_8h-source.html#l00057">57</a> of file <a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::bottom</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00212">Ogre::PixelBox::data</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::front</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">Ogre::Box::getDepth()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">Ogre::Box::getHeight()</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00239">Ogre::PixelBox::getRowSkip()</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00244">Ogre::PixelBox::getSliceSkip()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">Ogre::Box::getWidth()</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::right</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00219">Ogre::PixelBox::rowPitch</a>, <a class="el" href="OgrePixelFormat_8h-source.html#l00225">Ogre::PixelBox::slicePitch</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">Ogre::Box::top</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreImageResampler_8h-source.html">OgreImageResampler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:21 2008
</p>
</body>
</html>
